%global modulename npm2srpm

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-npm2srpm
Version:        1.3.0
Release:        1%{?dist}
Summary:        Create a SRPM from an npm module

License:        GPLv2+
URL:            https://github.com/dashea/npm2srpm#readme
Source0:        npm2srpm-1.3.0.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(csv-parse) >= 3.1.3 with npmlib(csv-parse) < 4.0.0))
BuildRequires:  ((npmlib(dateformat) >= 3.0.3 with npmlib(dateformat) < 4.0.0))
BuildRequires:  ((npmlib(diff) >= 3.5.0 with npmlib(diff) < 4.0.0))
BuildRequires:  ((npmlib(handlebars) >= 4.0.12 with npmlib(handlebars) < 5.0.0))
BuildRequires:  ((npmlib(node-fetch) >= 2.3.0 with npmlib(node-fetch) < 3.0.0))
BuildRequires:  ((npmlib(npm-registry-fetch) >= 3.8.0 with npmlib(npm-registry-fetch) < 4.0.0))
BuildRequires:  ((npmlib(read-package-json) >= 2.0.13 with npmlib(read-package-json) < 3.0.0))
BuildRequires:  ((npmlib(semver) >= 5.6.0 with npmlib(semver) < 6.0.0))
BuildRequires:  ((npmlib(spdx-correct) >= 3.0.2 with npmlib(spdx-correct) < 4.0.0))
BuildRequires:  ((npmlib(spdx-expression-parse) >= 3.0.0 with npmlib(spdx-expression-parse) < 4.0.0))
BuildRequires:  ((npmlib(ssri) >= 6.0.1 with npmlib(ssri) < 7.0.0))
BuildRequires:  ((npmlib(stream-to-promise) >= 2.2.0 with npmlib(stream-to-promise) < 3.0.0))
BuildRequires:  ((npmlib(tar) >= 4.4.8 with npmlib(tar) < 5.0.0))
BuildRequires:  ((npmlib(tmp) = 0.0.33))
BuildRequires:  ((npmlib(yargs) >= 12.0.2 with npmlib(yargs) < 13.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Create a SRPM from an npm module

%package 1.3.0
Summary:        Create a SRPM from an npm module


%description 1.3.0
Create a SRPM from an npm module

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .eslintrc.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr build_recursive.py %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr npm2srpm.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr spdx_to_fedora.csv %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr specfile.hjs %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
chmod +x %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/npm2srpm.js
ln -s %{npmlib_dir}/%{modulename}/%{version}/npm2srpm.js %{buildroot}/%{_bindir}/npm2srpm


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}


%files
%license COPYING
%{_bindir}/npm2srpm
%{nodejs_dir}/%{modulename}

%files 1.3.0
%license COPYING
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Thu Dec 6 2018 npm2srpm <dshea@redhat.com> - 1.3.0-1
- Package automatically generated by npm2srpm
